<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>TransitDeparturesAttribute (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransitDeparturesAttribute (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitDeparturesAttribute.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/TransitDeparture.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/TransitDestination.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/TransitDeparturesAttribute.html" target="_top">Frames</a></li>
<li><a href="TransitDeparturesAttribute.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.search.ExtendedAttribute">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.search</div>
<h2 title="Class TransitDeparturesAttribute" class="title">Class TransitDeparturesAttribute</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html" title="class in com.here.android.mpa.search">com.here.android.mpa.search.ExtendedAttribute</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.search.TransitDeparturesAttribute</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TransitDeparturesAttribute</span>
extends <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html" title="class in com.here.android.mpa.search">ExtendedAttribute</a></pre>
<div class="block">Represents a Transit Departures Extended Attribute that is associated with public transport
 stop/station and contains information about scheduled departures from the place.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.search.ExtendedAttribute">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html" title="class in com.here.android.mpa.search">ExtendedAttribute</a></h3>
<code><a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#m_pimpl">m_pimpl</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#TRANSIT_DEPARTURES_EXTENDED_ATTRIBUTE_ID">TRANSIT_DEPARTURES_EXTENDED_ATTRIBUTE_ID</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#TRANSIT_LINES_EXTENDED_ATTRIBUTE_ID">TRANSIT_LINES_EXTENDED_ATTRIBUTE_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/TransitSchedulePage.html" title="class in com.here.android.mpa.search">TransitSchedulePage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/TransitDeparturesAttribute.html#getSchedule--">getSchedule</a></span>()</code>
<div class="block">Gets a paged collection of scheduled departure information.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.search.ExtendedAttribute">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html" title="class in com.here.android.mpa.search">ExtendedAttribute</a></h3>
<code><a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#getAttribution--">getAttribution</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#getId--">getId</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#getLabel--">getLabel</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#getText--">getText</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#getVia--">getVia</a>, <a href="../../../../../com/here/android/mpa/search/ExtendedAttribute.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSchedule--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSchedule</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/TransitSchedulePage.html" title="class in com.here.android.mpa.search">TransitSchedulePage</a> getSchedule()</pre>
<div class="block">Gets a paged collection of scheduled departure information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>TransitSchedulePage</code> representing a paged collection of scheduled departure
         information.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitDeparturesAttribute.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/TransitDeparture.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/TransitDestination.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/TransitDeparturesAttribute.html" target="_top">Frames</a></li>
<li><a href="TransitDeparturesAttribute.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.search.ExtendedAttribute">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
